/*
 * Class LINEAR [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_505 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_505 [] = {0xFF01,237,504,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_505 [] = {0xFF01,504,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_505 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_505 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_505 [] = {0xFF01,504,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_505 [] = {0xFF01,504,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_505 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_505 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_505 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_505 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_505 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_505 [] = {504,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_505 [] = {0xFF01,504,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_505 [] = {0xFF01,504,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_505 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_505 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_505 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_505[] = {
	{EIF_GENERIC(NULL), 2363, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_505), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_505), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_505), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_505), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_505), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_505), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_505), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_505), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_505), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_505), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_505), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_505), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_505), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_505), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1881, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1884, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_505), 2362, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_505), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2352, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2353, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2354, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_505), 2355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_505), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2357, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2358, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2361, 0xFFFFFFFF},
};
void Init505(void)
{
	IDSC(desc_505, 0, 504);
	IDSC(desc_505 + 1, 1, 504);
	IDSC(desc_505 + 32, 77, 504);
	IDSC(desc_505 + 41, 155, 504);
	IDSC(desc_505 + 50, 30, 504);
}


#ifdef __cplusplus
}
#endif
